# typetalk – Send a message to typetalk

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Send a message to typetalk using typetalk API

## Requirements

The below requirements are needed on the host that executes this module.

- json

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
client_id - / required |  | OAuth2 client ID
client_secret - / required |  | OAuth2 client secret
msg - / required |  | message body
topic - / required |  | topic id to post message

## Examples

    - typetalk:
        client_id: 12345
        client_secret: 12345
        topic: 1
        msg: install completed

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Takashi Someda (@tksmd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.